Name:		envoy
Version:	14
Release:	%mkrel 5
Summary:	A ssh/gpg-agent wrapper leveraging cgroups and systemd/socket activation
License:	GPLv3+
Group:		Networking/Remote access
Url:		https://github.com/vodik/envoy
Source0:	https://github.com/vodik/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		envoy-14-linking.patch
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	ragel

%description
Envoy helps you to manage ssh keys in similar fashion to keychain, but done in
C, takes advantage of cgroups and systemd.

%prep
%autosetup -p1
sed -i 's/libsystemd-daemon/libsystemd/' Makefile src/.ycm_extra_conf.py

%build
%setup_compile_flags
%make

%install
%make_install

%post
# Install
if [ $1 -eq 1 ]; then
	systemctl --system daemon-reload
	systemctl enable envoy@ssh-agent.socket
	systemctl start envoy@ssh-agent.socket
# Upgrade
else
	systemctl --system daemon-reload
	systemctl try-restart envoy@ssh-agent.service envoy@ssh-agent.socket
fi

%preun
# Uninstall
if [ $1 -eq 0 ]; then
	systemctl stop envoy@ssh-agent.socket
	systemctl stop envoy@ssh-agent.service
	systemctl disable envoy@ssh-agent.socket
fi

%files
%doc LICENSE
%{_bindir}/%{name}*
%{_datadir}/zsh/site-functions/_%{name}
%{_libdir}/security/pam_%{name}.so
%{_mandir}/man1/%{name}*
%{_unitdir}/%{name}@.s*
%{_userunitdir}/%{name}@.s*



%changelog
* Wed Jun 08 2016 colin <colin> 14-5.mga6
+ Revision: 1020811
- Fix systemd deps

  + tv <tv>
    - adjust BRs for latest systemd

* Thu Feb 11 2016 umeabot <umeabot> 14-4.mga6
+ Revision: 953846
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 sander85 <sander85> 14-3.mga6
+ Revision: 881620
- Fix upgrade

* Sat Sep 05 2015 wally <wally> 14-2.mga6
+ Revision: 872972
- build with our compile flags
- add patch to fix linking

* Sat Sep 05 2015 sander85 <sander85> 14-1.mga6
+ Revision: 872957
- imported package envoy

